내 ASUS x552C의 Wi-Fi는 집에서 Ubuntu 17.10으로 잘 작동하지만 대학에 와서 Wi-Fi에 연결하기 위한 몇 가지 단계를 수행했을 때 마지막 단계는 대학에서 다운로드한 이 네트워크 시작 페이지를 실행하는 것이었습니다.
내 노트북의 모든 무선 관련 정보:https://pastebin.com/WxezdGiEdmesg는 이 질문에서 지적한 로그를 표시하지 않습니다.
노트북을 켜면 Wi-Fi가 1분 동안 매우 느리게 작동한 후 연결이 끊어집니다. 그럼 난 해야 해
sudo service network-manager restart
작동시키려면 같은 일이 반복해서 발생합니다.
Wi-Fi 연결에 대한 로그는 다음과 같습니다.
ieee80211 phy0: rt2x00queue_write_tx_frame: 오류 - tx 대기열 0이 꽉 차서 프레임이 삭제되었습니다.
nl80211: 예상치 못한 암호화 알고리즘 5
dbus: 빌드 신호 실패
dbus: wpa_dbus_get_object_properties: 개체 속성을 가져올 수 없습니다: (없음) 없음
((src/devices/nm-device.c:1452)): "" 어설션 실패
나는 이것이 "wpasupplicant 2.4"가 약한 인증서나 그와 유사한 것을 허용하지 않기 때문일 수도 있다는 것을 알아냈습니다.
dpkg -l 네트워크 관리자의 출력:
$ dpkg -l network-manager
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-============================-===================-===================-==============================================================
ii network-manager 1.8.4-1ubuntu3 amd64 network management framework (daemon and userspace tools)
dpkg -l wpasupplicant의 출력:
~$ dpkg -l wpasupplicant
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-============================-===================-===================-==============================================================
ii wpasupplicant 2.4-0ubuntu10 amd64 client support for WPA and WPA2 (IEEE 802.11i)
wpasupplicant 버전은 2.4라고 나와 있지만 어젯밤 인터넷에서 2.6 .tar 파일을 다운로드하고 해당 웹 사이트의 컴파일 및 설치 지침에 따라 2.6으로 업그레이드하려고 했습니다. 그런데 이 작업을 하다가 오류가 나서 인터넷에서 계속 검색을 하게 되었고, 결국 make && make install 을 해보니 오류 없이 실행되어서 설치에 성공했다는 생각이 들었습니다. 그러나 버전은 Synaptic과 dpkg에서 여전히 동일하게 나타납니다.
내일 대학이 개강한 이후로 3일 동안 잠을 제대로 자지 못했고 노트북을 준비하고 싶기 때문에 어떤 아이디어, 단서, 정보라도 대단히 감사하겠습니다...
네트워크 어댑터에 대한 lspci 출력:
03:00.0 Network controller: MEDIATEK Corp. MT7630e 802.11bgn Wireless Network Adapter
04:00.2 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 0a)
/etc/NetworkManager/system-connections/-=SSID=- 파일:
[connection]
id=-=ID=-
uuid=-=UUID=-
type=wifi
autoconnect-priority=20
permissions=
[wifi]
mac-address-blacklist=
mode=infrastructure
ssid=-=SSID=-
[wifi-security]
auth-alg=open
key-mgmt=wpa-eap
[802-1x]
eap=peap;
[email protected]=-
password=-=myPassword=-
phase2-auth=mschapv2
[ipv4]
dns-search=
method=auto
[ipv6]
dns-search=
method=auto
Wi-Fi 설정을 위해 대학 페이지에서 다운로드한 파일(SecureW2_JoinNow.run)의 소스는 다음과 같습니다.
#!/bin/sh
die () {
[ ! -z "$1" ] && echo "Fatal: $1"
[ ! -z "$tmpdir" -a -d "$tmpdir" ] && ${RM} -Rf "$tmpdir"
exit 1
}
missing () {
echo 'Executable `'$1'` seems to be missing, not executable or cannot be located with `which`.'
echo ''
echo 'Please install this program using your distribution-specific package manager (e.g. `apt-get` or `yum`).'
echo 'If this does not solve the issue, you can try editing this script by hand to provide the proper'
echo 'executable locations, or request your network administrator to contact SecureW2 Support.'
die
}
findutil () {
for u in "$@"; do \
p="$("${WHICH}" "$u" 2> /dev/null)"
[ ! -z "$p" ] && break
done
[ -z "$p" ] && missing "$1"
return 0
}
which --skip-alias which > /dev/null 2>&1
if [ $? -eq 0 ]; then \
WHICH="$(which --skip-alias which)"
else
WHICH="$(which which)"
fi
[ ! -x "${WHICH}" ] && missing which
findutil mkdir && MKDIR="$p"
findutil rm && RM="$p"
findutil tar && TAR="$p"
findutil gzip && GZIP="$p"
findutil pwd && PWD="$p"
findutil sed && SED="$p"
findutil readlink && READLINK="$p"
findutil python \
python2 \
python3 && PYTHON="$p"
tmpdir="/tmp/securew2-joinnow-$$.tmp"
archive="$(${READLINK} -f "$0")"
${MKDIR} -p "$tmpdir" || die "Error creating temporary directory $tmpdir"
cd $tmpdir || die "Error switching working directory to $tmpdir"
${SED} '0,/^#ARCHIVE#$/d' "$archive" | ${GZIP} -d | ${TAR} x || die "Error extracting embedded archive"
${PYTHON} main.py "$@"
retval=$?
${RM} -Rf "$tmpdir"
exit $retval
#ARCHIVE#
And tons of numbers and symbols...
답변1
IMHO, 문제는 다음 오류입니다.https://patchwork.kernel.org/patch/10120081/
Openwrt를 실행하는 라우터에 Wi-Fi 스택이 있는데 여기에 트래픽을 넣으면 이런 일이 발생하고 Wi-Fi가 작동하지 않습니다.
따라서 해결책은 버그가 수정될 때까지 기다리는 것입니다!